Bug 198898 - Streamline some string code, focusing on functions that were using substringSharingImpl
Summary: Streamline some string code, focusing on functions that were using substringS...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Darin Adler
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-15 19:24 PDT by Darin Adler
Modified: 2019-06-29 14:51 PDT (History)
4 users (show)

See Also:


Attachments
Patch (31.68 KB, patch)
2019-06-16 08:58 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews117 for mac-highsierra (3.26 MB, application/zip)
2019-06-16 11:05 PDT, Build Bot
no flags Details
Patch (33.37 KB, patch)
2019-06-22 15:11 PDT, Darin Adler
dbates: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2019-06-15 19:24:20 PDT
Streamline some string code, focusing on functions that were using substringSharingImpl
Comment 1 Darin Adler 2019-06-16 08:58:32 PDT Comment hidden (obsolete)
Comment 2 Build Bot 2019-06-16 11:05:05 PDT Comment hidden (obsolete)
Comment 3 Build Bot 2019-06-16 11:05:07 PDT Comment hidden (obsolete)
Comment 4 Darin Adler 2019-06-22 15:11:28 PDT
Created attachment 372688 [details]
Patch
Comment 5 Daniel Bates 2019-06-22 20:29:04 PDT
Comment on attachment 372688 [details]
Patch

Nice!
Comment 6 Darin Adler 2019-06-24 11:23:24 PDT
I need to fix whatever problems are causing the GTK and Windows EWS failures. At the moment, the computer I work on isn’t available so there will be a bit of delay.
Comment 7 Darin Adler 2019-06-29 14:50:06 PDT
Committed r246951: <https://trac.webkit.org/changeset/246951>
Comment 8 Radar WebKit Bug Importer 2019-06-29 14:51:19 PDT
<rdar://problem/52394242>